Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class ComplexRelationLegRequest

Object
ComplexRelationLegRequest

All Implemented Interfaces:
  `Serializable`

public class ComplexRelationLegRequest extends Object implements Serializable
The properties of the leg to be included in complex relation.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ComplexRelationLegRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComplexRelationLegRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComplexRelationLegRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  Required. The ID of the asset attached to the leg of the complex relation.
  `UUID`
  `getLegTypeId()`
  Deprecated.
  Use `relationTypePublicId` instead.
  `UUID`
  `getRelationTypeId()`
  The ID of the type of the relation for complex relation.
  `String`
  `getRelationTypePublicId()`
  The public ID of the type of the relation of the leg.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  Required. The ID of the asset attached to the leg of the complex relation.
  `void`
  `setLegTypeId(UUID legTypeId)`
  Deprecated.
  Use `relationTypePublicId` instead.
  `void`
  `setRelationTypeId(UUID relationTypeId)`
  The ID of the type of the relation for complex relation.
  `void`
  `setRelationTypePublicId(String relationTypePublicId)`
  The public ID of the type of the relation of the leg.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComplexRelationLegRequest

    public ComplexRelationLegRequest()

- ## Method Details

  - ### builder

    public static ComplexRelationLegRequest.Builder builder()

  - ### getLegTypeId

    @Deprecated public UUID getLegTypeId()
    Deprecated.
    Use `relationTypePublicId` instead.
    The ID of the type of the single leg for complex relation. Must be specified if `relationTypeId` and `relationTypePublicId` are not specified.

  - ### getRelationTypeId

    public UUID getRelationTypeId()
    The ID of the type of the relation for complex relation. Must be specified if `legTypeId` and `relationTypePublicId` are not specified.

  - ### getRelationTypePublicId

    public String getRelationTypePublicId()
    The public ID of the type of the relation of the leg. Must be specified if `legTypeId` and `relationTypeId` are not specified.

  - ### getAssetId

    public UUID getAssetId()
    Required. The ID of the asset attached to the leg of the complex relation.

  - ### setLegTypeId

    @Deprecated public void setLegTypeId(UUID legTypeId)
    Deprecated.
    Use `relationTypePublicId` instead.
    The ID of the type of the single leg for complex relation. Must be specified if `relationTypeId` and `relationTypePublicId` are not specified.

  - ### setRelationTypeId

    public void setRelationTypeId(UUID relationTypeId)
    The ID of the type of the relation for complex relation. Must be specified if `legTypeId` and `relationTypePublicId` are not specified.

  - ### setRelationTypePublicId

    public void setRelationTypePublicId(String relationTypePublicId)
    The public ID of the type of the relation of the leg. Must be specified if `legTypeId` and `relationTypeId` are not specified.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    Required. The ID of the asset attached to the leg of the complex relation.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`